grk::t1_part1::T1Part1 Class Reference

`#include <T1Part1.h>`

Inheritance diagram for grk::t1_part1::T1Part1:

## Public Member Functions

| T1Part1 (bool isCompressor, uint32_t maxCblkW, uint32_t maxCblkH)
virtual | ~T1Part1 ()
bool | compress (CompressBlockExec *block)
bool | decompress (DecompressBlockExec *block)
Public Member Functions inherited from grk::T1Interface
virtual | ~T1Interface ()=default

## Private Member Functions

bool | preCompress (CompressBlockExec *block, uint32_t &max)

## Private Attributes

T1 * | t1

## Constructor & Destructor Documentation

## T1Part1()

grk::t1_part1::T1Part1::T1Part1 | ( | bool | isCompressor,
|  | uint32_t | maxCblkW,
|  | uint32_t | maxCblkH
| ) |  |

References grk::grk_read(), and t1.

## ~T1Part1()

grk::t1_part1::T1Part1::~T1Part1 | ( |  | ) |

virtual

References t1.

## Member Function Documentation

## compress()

bool grk::t1_part1::T1Part1::compress | ( | CompressBlockExec * | block | ) |

virtual

Implements grk::T1Interface.

References grk::T1::code_block_enc_deallocate(), grk::T1::compress_cblk(), grk::grk_read(), preCompress(), and t1.

## decompress()

bool grk::t1_part1::T1Part1::decompress | ( | DecompressBlockExec * | block | ) |

virtual

Implements grk::T1Interface.

References grk::T1::allocCompressedData(), grk::T1::attachUncompressedData(), grk::T1::decompress_cblk(), grk::T1::getCompressedDataBuffer(), grk::T1::getUncompressedData(), grk::GRK_CACHE_STATE_ERROR, grk::GRK_CACHE_STATE_OPEN, grk_cblk_dec_compressed_data_pad_right, grk::grk_read(), and t1.

## preCompress()

bool grk::t1_part1::T1Part1::preCompress | ( | CompressBlockExec * | block,
|  | uint32_t & | max
| ) |  |

private

References grk::T1::alloc(), grk::T1::getUncompressedData(), grk::GRK_ERROR(), grk_lrintf(), grk::grk_read(), t1, and T1_NMSEDEC_FRACBITS.

Referenced by compress().

## Member Data Documentation

## t1

T1* grk::t1_part1::T1Part1::t1

private

Referenced by compress(), decompress(), preCompress(), T1Part1(), and ~T1Part1().

The documentation for this class was generated from the following files:

- T1Part1.h
- T1Part1.cpp